Subject: Re: bug#15294: 24.3.50; js2-mode parser is several times slower in lexical-binding mode

From: Dmitry Gutov <[email-masked]>
Date: Sat, 05 Oct 2013 06:27:19 +0300

On 04.10.2013 16:52, Stefan Monnier wrote:
>> Not sure if I should close this issue now or at least wait until
>> byte-compile--use-old-handlers is nil by default.
>
> Your call.  I'm not completely sure when we should change it: setting it
> to nil will mean that pretty much any file compiled with the new Emacs
> won't run on older Emacsen.  I think I'd like to see 24.4 release before
> making the change.

No problem, guess then I'll leave this open until then.

I'll do the code reshuffling discussed earlier, but actually having a 
performance improvement will be a better reason to switch to lexical 
binding.

 > But please do set it in your .emacs ASAP so it gets wider testing.

Good idea, done.